PDF::Builder::Resource::XObject::Image::TIFF(3pm)

NAME
PDF::Builder::Resource::XObject::Image::TIFF - TIFF image support

Inherits from PDF::Builder::Resource::XObject::Image

METHODS

  new
    $res = PDF::Builder::Resource::XObject::Image::TIFF->new($pdf, $file, %opts)

    Returns a TIFF-image object.

    If the Graphics::TIFF package is installed, the TIFF_GT library will be used instead of the TIFF library. In such a case, use of the TIFF library may be forced via the "nouseGT" flag (see Builder documentation for image_tiff()).

    Options:

    'name' => 'string'
        This is the name you can give for the TIFF image object. The default is Ixnnnn.

    Remember that you need to use the Builder.pm method image_tiff in order to display a TIFF file.

  usesLib
    $mode = $tif->usesLib()

    Returns 1 if Graphics::TIFF installed and used, 0 if not installed, or -1 if installed but not used (nouseGT option given to "image_tiff").

    Caution: this method can only be used after the image object has been created. It can't tell you whether Graphics::TIFF is available in advance of actually using it, in case you want to use some functionality available only in TIFF_GT. See the <PDF::Builder> LA_GT() call if you need to know in advance.

  tiffTag
    $value = $tif->tiffTag($tag)

    returns the value of the internal tiff-tag.

    Useful Tags:

        imageDescription, imageId (strings)
        xRes, yRes (dpi; pixel/cm if resUnit==3)
        resUnit